Cant install Veam on Debian 8 with Kernel 4.12.4

Backup agent for Linux servers and workstations on-premises or in the public cloud

Cant install Veam on Debian 8 with Kernel 4.12.4

Veeam Logoby qspweissen » Wed Aug 02, 2017 7:09 am

I have compiled kernel version 4.12.4 on my machine and now want to install veeam. But i always get an error. I also tried to install veeamsnap with the help of your "kb2259" but wihout success. With kernel 4.11.x i didnt have any problems.

Log:
Code: Select all
DKMS make.log for veeamsnap-1.0.1.364 for kernel 4.12.4-custom (x86_64)
Wed Aug  2 08:47:42 CEST 2017
make: Entering directory '/usr/src/linux-headers-4.12.4-custom'
  LD      /var/lib/dkms/veeamsnap/1.0.1.364/build/built-in.o
  CC [M]  /var/lib/dkms/veeamsnap/1.0.1.364/build/mem_alloc.o
  CC [M]  /var/lib/dkms/veeamsnap/1.0.1.364/build/sparse_array_1lv.o
  CC [M]  /var/lib/dkms/veeamsnap/1.0.1.364/build/sparse_bitmap.o
  CC [M]  /var/lib/dkms/veeamsnap/1.0.1.364/build/container.o
  CC [M]  /var/lib/dkms/veeamsnap/1.0.1.364/build/container_spinlocking.o
  CC [M]  /var/lib/dkms/veeamsnap/1.0.1.364/build/queue_spinlocking.o
  CC [M]  /var/lib/dkms/veeamsnap/1.0.1.364/build/bitmap_sync.o
  CC [M]  /var/lib/dkms/veeamsnap/1.0.1.364/build/log.o
  CC [M]  /var/lib/dkms/veeamsnap/1.0.1.364/build/page_array.o
  CC [M]  /var/lib/dkms/veeamsnap/1.0.1.364/build/blk_dev_utile.o
  CC [M]  /var/lib/dkms/veeamsnap/1.0.1.364/build/dio_request.o
  CC [M]  /var/lib/dkms/veeamsnap/1.0.1.364/build/rangeset.o
  CC [M]  /var/lib/dkms/veeamsnap/1.0.1.364/build/rangelist.o
  CC [M]  /var/lib/dkms/veeamsnap/1.0.1.364/build/rangevector.o
  CC [M]  /var/lib/dkms/veeamsnap/1.0.1.364/build/defer_io.o
  CC [M]  /var/lib/dkms/veeamsnap/1.0.1.364/build/cbt_map.o
  CC [M]  /var/lib/dkms/veeamsnap/1.0.1.364/build/tracker.o
  CC [M]  /var/lib/dkms/veeamsnap/1.0.1.364/build/tracker_queue.o
  CC [M]  /var/lib/dkms/veeamsnap/1.0.1.364/build/snapimage.o
/var/lib/dkms/veeamsnap/1.0.1.364/build/snapimage.c:244:2: error: unknown field ‘direct_access’ specified in initializer
  .direct_access = NULL,
  ^
scripts/Makefile.build:302: recipe for target '/var/lib/dkms/veeamsnap/1.0.1.364/build/snapimage.o' failed
make[1]: *** [/var/lib/dkms/veeamsnap/1.0.1.364/build/snapimage.o] Error 1
Makefile:1515: recipe for target '_module_/var/lib/dkms/veeamsnap/1.0.1.364/build' failed
make: *** [_module_/var/lib/dkms/veeamsnap/1.0.1.364/build] Error 2
make: Leaving directory '/usr/src/linux-headers-4.12.4-custom'
qspweissen
Lurker
 
Posts: 1
Liked: never
Joined: Wed Aug 02, 2017 7:07 am

Re: Cant install Veam on Debian 8 with Kernel 4.12.4

Veeam Logoby PTide » Wed Aug 02, 2017 9:36 am

Hi,

VAL support only kernels that are available by default in the specific distro. In other words kernel of 3.16 series are supported for Debain 8.

Thank you
PTide
Veeam Software
 
Posts: 3130
Liked: 262 times
Joined: Tue May 19, 2015 1:46 pm


Return to Veeam Agent for Linux



Who is online

Users browsing this forum: No registered users and 5 guests